%define rev	r2309
%define release	1

Name:           nforenum
Version:        3.4.6
Release:        %mkrel %{rev}.%{release}
Summary:        A format correcter and linter for the NFO language
Group:          Development/Other
License:        GPLv2+
URL:            http://users.tt-forums.net/dalestan/nforenum/
Source0:        http://gb.binaries.openttd.org/binaries/extra/%{name}/%{rev}/%{name}-%{rev}-source.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  boost-devel

%description
nforenum takes as input any number of files that contain something that vaguely
resembles valid NFO, and produces, to the best of its ability, encodable NFO
files, one for each input file.

It also detects and warns about some common mistakes made in NFO coding. All
errors that will cause TTDPatch to reject the GRF during the initialization or
activation phases should be detected; if any are not, it is a bug and should be
reported as such.

Sprites that are too short, not of the correct type (real/pseudo/&c.), too
long, or otherwise not in agreement with their data or the preceding sprites
are all detected. 

%prep
%setup -q -n %{name}-%{rev}

for f in doc/COMMANDS.en.txt; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv 
  touch -r $f $f.conv
  mv $f.conv $f
done

%build
%make CFLAGAPP="%{optflags}" LDOPT="%{ldflags}"

%install
rm -rf %{buildroot}
install -D -m 755 renum %{buildroot}%{_bindir}/nforenum

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt TODO.txt doc/*.txt
%{_bindir}/*


%changelog
* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 3.4.6-r2309.1mdv2010.1
+ Revision: 534606
- import nforenum


